Package org.springframework.cglib.transform

# Class ClassTransformerTee

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.transform.ClassTransformerTee

public class ClassTransformerTee extends ClassTransformer

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`ClassTransformerTee(ClassVisitor branch)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setTarget(ClassVisitor target)`

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassTransformerTee

public ClassTransformerTee(ClassVisitor branch)

## Method Details

### setTarget

public void setTarget(ClassVisitor target)

Specified by:
  `setTarget` in class `ClassTransformer`